Update necessary fields of a payment

If some fields are missing then a 400 will be returned.If all is ok to proceed then the data required to complete the payment will be returned. Depending on the payment type, only one update may be allowed so gather all required info before updating the payment. The status field can be used to cancel or reverse a payment (gateway dependent)

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
int64
required
int64
required
Body Params

Updated data about a payment to be processed. Includes fields needed to complete a payment.

additionalFields
array of objects

Additional fields captured by the customer be submitted for processing. These fields relate to additionalFields requested when the payment was initiated or in the VAS catalog

additionalFields
number
≥ 0

Final total calculated amount to be paid including any tips etc. If the amount in the payment transaction data was for example 10 and a tip is required and is fixed at 5, then this amount would need to be set as 15. Amounts are in major currency unit.

string
length between 10 and 2000

The URL Eclipse must post the PaymentResult to. Optional as one can always do a GET to get the result instead of using callbacks. This will be a system-system call

string

Optional. Card on file id for pre-enrolled cards to use for the payment if applicable. Negates the need to provide actual card data E.g. PAN etc

boolean

Optional. If user wants to enable custom fraud rule checks then, need to mark this flag true

string
length between 0 and 200

A description for the payment if being initiated from Eclipse

encryptedPaymentCardData
object

If the payment mechanism uses a card and its not a card on file (i.e. cardOnFileId not provided) and PaymentCardData is not provided then this field provides the encrypted card data to use for the payment.

date-time

When the payment must complete by. If not in final state before this time, Eclipse will timeout the payment

string

Optional. If the payment mechanism is via some proprietary (non-card based) interface such as an external wallet or bank account then this field can be used to identity the payers wallet id, account number, profile id etc.

string

Optional. If the payment mechanism is via some proprietary (non-card based) interface such as an external wallet or bank account then this field can be used to identify what wallet type this is.

string
length between 10 and 2000

Where the customers iFrame/Browser should be navigated to after the payment has completed (applicable to payments that use 3DS). If the URL contains <paymentId> then it will be replaced with the paymentId before the redirect.

string
length between 0 and 200

Optional. Any location information to add to the payment such as GPS coordinates or branch name etc

number

This field specifies the maximum amount to make the partial payment

number

This field specifies the minimum amount to make the partial payment

string
length between 0 and 200

Optional. User defined extra note related to payment in any format free text or JSON formatted text.

paymentCardData
object

If the payment mechanism uses a card and its not a card on file (i.e. cardOnFileId not provided) then this field provides the card data to use for the payment

string
enum

The mechanism with which to make the payment. Determines if paymentCardData, paymentSecurity data etc are required. If not passed then the requests data like walletId, paymentCardData, paymentSecurityData etc will be used to work out the inferred mechanism

Allowed:
paymentSecurityData
object

Security data related to the payment in order to prove that the payer has authorised the transaction or that the issuer authorises the transaction on behalf of the payer (and hence accepts liability for the payment). Not required if COMPLETION_URL is used as the payment mechanism as the security data will be generated by Eclipse in concert with the issuing bank via an iFrame with the card holder

paymentTerminalData
object

Data about the terminal acquiring the payment

string
string
enum

Optional field to cancel or reverse a payment. A payment that is PENDING can be cancelled if its not yet submitted to an external party and can be REVERSED if its SUCCESSFUL so long as the underlying gateway supports reversals.

Allowed:
boolean

Optional. If the payment mechanism is to pay with a card and card details are provided then this indicates whether to store the card on file

string

Optional. If provided then card ui will be rendered based on the provided templateId else fallback to default tenant template.

boolean

Optional. Indicates that the customer is not present for the payment and interactive authentication must not happen (e.g. 3DS)

int64

Optional. If the payment mechanism is via an Eclipse wallet, then the Eclipse walletId can be provided in this field

Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json